Time (Apache Tomcat 9.0.37 API Documentation)

org.apache.tomcat.jni

## Class Time

- java.lang.Object
- - org.apache.tomcat.jni.Time

-     public class Time
      extends Object

  Time
  Author:
    Mladen Turk

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static long` | `APR_MSEC_PER_USEC` number of milliseconds per microsecond
    `static long` | `APR_USEC_PER_SEC` number of microseconds per second

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Time()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static String` | `ctime(long t)` Formats dates in the ctime() format in an efficient manner.
    `static long` | `msec(long t)`
    `static long` | `now()` number of microseconds since 00:00:00 January 1, 1970 UTC
    `static String` | `rfc822(long t)` Formats dates in the RFC822 format in an efficient manner.
    `static long` | `sec(long t)`
    `static void` | `sleep(long t)` Sleep for the specified number of micro-seconds.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### APR_USEC_PER_SEC

          public static final long APR_USEC_PER_SEC

      number of microseconds per second
      See Also:
        Constant Field Values

    - #### APR_MSEC_PER_USEC

          public static final long APR_MSEC_PER_USEC

      number of milliseconds per microsecond
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Time

          public Time()

  - ### Method Detail

    - #### sec

          public static long sec(long t)

      Parameters:
        `t` - The time
      Returns:
        apr_time_t as a second

    - #### msec

          public static long msec(long t)

      Parameters:
        `t` - The time
      Returns:
        apr_time_t as a msec

    - #### now

          public static long now()

      number of microseconds since 00:00:00 January 1, 1970 UTC
      Returns:
        the current time

    - #### rfc822

          public static String rfc822(long t)

      Formats dates in the RFC822 format in an efficient manner.
      Parameters:
        `t` - the time to convert
      Returns:
        the formatted date

    - #### ctime

          public static String ctime(long t)

      Formats dates in the ctime() format in an efficient manner. Unlike ANSI/ISO C ctime(), apr_ctime() does not include a \n at the end of the string.
      Parameters:
        `t` - the time to convert
      Returns:
        the formatted date

    - #### sleep

          public static void sleep(long t)

      Sleep for the specified number of micro-seconds.
      Warning : May sleep for longer than the specified time.
      Parameters:
        `t` - desired amount of time to sleep.

Copyright © 2000-2020 Apache Software Foundation. All Rights Reserved.